libevent2-2.0.21-1.el6.x86_64.rpm


Advertisement

Description

libevent2 - An event notification library

Property Value
Distribution CentOS 6
Repository OKey x86_64
Package filename libevent2-2.0.21-1.el6.x86_64.rpm
Package name libevent2
Package version 2.0.21
Package release 1.el6
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://libevent.org/
License BSD-3-Clause
Maintainer -
Download size 153.42 KB
Installed size 580.35 KB
The libevent API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has been
reached. Furthermore, libevent also support callbacks due to signals or regular
timeouts.
libevent is meant to replace the event loop found in event driven network
servers. An application just needs to call event_dispatch() and then add or
remove events dynamically without having to change the event loop.
Currently, libevent supports /dev/poll, kqueue(2), event ports, select(2),
poll(2) and epoll(4). The internal event mechanism is completely independent of
the exposed event API, and a simple update of libevent can provide new
functionality without having to redesign the applications. As a result, Libevent
allows for portable application development and provides the most scalable event
notification mechanism available on an operating system. Libevent can also be
used for multi-threaded applications; see Steven Grimm's explanation. Libevent
should compile on Linux, *BSD, Mac OS X, Solaris and Windows.

Alternatives

Package Version Architecture Repository
libevent2-2.0.21-2.el6.x86_64.rpm 2.0.21 x86_64 CentOS
libevent2-2.0.21-2.el6.i686.rpm 2.0.21 i686 CentOS
libevent2-2.0.21-2.el6.i686.rpm 2.0.21 i686 CentOS
libevent2 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.7)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
libevent -
libevent-2.0.so.5()(64bit) -
libevent2 = 2.0.21-1.el6
libevent2(x86-64) = 2.0.21-1.el6
libevent_core-2.0.so.5()(64bit) -
libevent_extra-2.0.so.5()(64bit) -
libevent_pthreads-2.0.so.5()(64bit) -

Download

Type URL
Mirror repo.okay.com.mx
Binary Package libevent2-2.0.21-1.el6.x86_64.rpm
Source Package libevent2-2.0.21-1.el6.src.rpm

Install Howto

  1. Install OKey repository:
    # yum install http://repo.okay.com.mx/centos/6/x86_64/release/okay-release-1-1.noarch.rpm
  2. Install libevent2 rpm package:
    # yum install libevent2

Files

Path
/usr/lib64/libevent-2.0.so.5
/usr/lib64/libevent-2.0.so.5.1.9
/usr/lib64/libevent_core-2.0.so.5
/usr/lib64/libevent_core-2.0.so.5.1.9
/usr/lib64/libevent_extra-2.0.so.5
/usr/lib64/libevent_extra-2.0.so.5.1.9
/usr/lib64/libevent_pthreads-2.0.so.5
/usr/lib64/libevent_pthreads-2.0.so.5.1.9
/usr/share/doc/libevent2-2.0.21/LICENSE
/usr/share/doc/libevent2-2.0.21/README

See Also

Package Description
libffi-3.0.5-4.el6.x86_64.rpm A portable foreign function interface library
libffi-devel-3.0.5-4.el6.x86_64.rpm Development files for libffi
libfolly-devel-0-0.20180909.el6.x86_64.rpm libfolly development files
libfolly57-0-0.20180909.el6.x86_64.rpm An open-source C++ library developed and used at Facebook
libgetoptpp-1-1.x86_64.rpm Yet Another getopt C++ version, STL-streaming like
libgetoptpp-devel-1-1.x86_64.rpm Static library and header files for the getoptpp library
libguac-0.9.9-1.el6.x86_64.rpm The common library used by all C components of Guacamole
libguac-client-rdp-0.9.9-1.el6.x86_64.rpm RDP support for guacd
libguac-client-ssh-0.9.9-1.el6.x86_64.rpm SSH support for guacd
libguac-client-telnet-0.9.9-1.el6.x86_64.rpm Telnet support for guacd
libguac-client-vnc-0.9.9-1.el6.x86_64.rpm VNC support for guacd
libguac-devel-0.9.9-1.el6.x86_64.rpm Development files for guacamole-server
libicu57-57.1-8.el6.x86_64.rpm International Components for Unicode - libraries
libicu57-devel-57.1-8.el6.x86_64.rpm Development files for International Components for Unicode
libicu57-doc-57.1-8.el6.noarch.rpm Documentation for International Components for Unicode
Advertisement
Advertisement